com.io7m.jcanephora.cursors

## Interface JCGLRGBA16FReadableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    JCGLRGBA16FType
  All Known Implementing Classes:
    JCGLRGBA16FByteBuffered

      public interface JCGLRGBA16FReadableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The readable interface to values of the `JCGLRGBA16F` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getA()`
    `double` | `getB()`
    `double` | `getG()`
    `double` | `getR()`
    `int` | `metaAOffsetFromCursor()`
    `int` | `metaAOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAFloat` | `metaAType()`
    `int` | `metaBOffsetFromCursor()`
    `int` | `metaBOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAFloat` | `metaBType()`
    `int` | `metaGOffsetFromCursor()`
    `int` | `metaGOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAFloat` | `metaGType()`
    `int` | `metaROffsetFromCursor()`
    `int` | `metaROffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAFloat` | `metaRType()`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### metaROffsetFromType

          int metaROffsetFromType()

      Returns:
        The offset in octets of the `r` field, from the start of the type

    - #### metaROffsetFromCursor

          int metaROffsetFromCursor()

      Returns:
        The offset in octets of the `r` field, from the cursor

    - #### metaRType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAFloat metaRType()

      Returns:
        The type of the `r` field

    - #### getR

          double getR()

      Returns:
        The value of the `r` field

    - #### metaGOffsetFromType

          int metaGOffsetFromType()

      Returns:
        The offset in octets of the `g` field, from the start of the type

    - #### metaGOffsetFromCursor

          int metaGOffsetFromCursor()

      Returns:
        The offset in octets of the `g` field, from the cursor

    - #### metaGType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAFloat metaGType()

      Returns:
        The type of the `g` field

    - #### getG

          double getG()

      Returns:
        The value of the `g` field

    - #### metaBOffsetFromType

          int metaBOffsetFromType()

      Returns:
        The offset in octets of the `b` field, from the start of the type

    - #### metaBOffsetFromCursor

          int metaBOffsetFromCursor()

      Returns:
        The offset in octets of the `b` field, from the cursor

    - #### metaBType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAFloat metaBType()

      Returns:
        The type of the `b` field

    - #### getB

          double getB()

      Returns:
        The value of the `b` field

    - #### metaAOffsetFromType

          int metaAOffsetFromType()

      Returns:
        The offset in octets of the `a` field, from the start of the type

    - #### metaAOffsetFromCursor

          int metaAOffsetFromCursor()

      Returns:
        The offset in octets of the `a` field, from the cursor

    - #### metaAType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAFloat metaAType()

      Returns:
        The type of the `a` field

    - #### getA

          double getA()

      Returns:
        The value of the `a` field

Copyright © 2016 <code@io7m.com> http://io7m.com